CK_HS_DESTROY(3)

NAME
ck_hs_destroy - destroy hash set

LIBRARY
Concurrency Kit (libck, -lck)

SYNOPSIS
#include <ck_hs.h>
void
ck_hs_destroy(ck_hs_t *hs);

DESCRIPTION
The ck_hs_destroy(3) function will request that the underlying allocator, as specified by the ck_hs_init(3) function, immediately destroy the object pointed to by the hs argument. The user must guarantee that no threads are accessing the object pointed to by hs when ck_hs_destroy(3) is called.

RETURN VALUES
ck_hs_destroy(3) has no return value.

ERRORS
This function is guaranteed not to fail.

SEE ALSO
ck_hs_init(3), ck_hs_move(3), CK_HS_HASH(3), ck_hs_iterator_init(3), ck_hs_next(3), ck_hs_get(3), ck_hs_put(3), ck_hs_put_unique(3), ck_hs_set(3), ck_hs_fas(3), ck_hs_remove(3), ck_hs_grow(3), ck_hs_rebuild(3), ck_hs_gc(3), ck_hs_count(3), ck_hs_reset(3), ck_hs_reset_size(3), ck_hs_stat(3)

Additional information available at http://concurrencykit.org/